import request from '@/utils/request'

// 查询科研管理列表
export function listProject(query) {
  return request({
    url: '/scientific/project/list',
    method: 'get',
    params: query
  })
}

// 查询科研管理详细
export function getProject(id) {
  return request({
    url: '/scientific/project/' + id,
    method: 'get'
  })
}

// 新增科研管理
export function addProject(data) {
  return request({
    url: '/scientific/project',
    method: 'post',
    data: data
  })
}

// 修改科研管理
export function updateProject(data) {
  return request({
    url: '/scientific/project',
    method: 'put',
    data: data
  })
}

// 删除科研管理
export function delProject(id) {
  return request({
    url: '/scientific/project/' + id,
    method: 'delete'
  })
}
